ENV(1)

NOMBRE
env - ejecuta un programa con un entorno modificado

SINOPSIS
env [-] [-i] [-u nombre] [--ignore-environment] [--unset=nombre] [--help] [--version] [nombre=valor]... [programa [parámetros...]]
env

DESCRIPCIÓN
Esta documentación ha dejado de mantenerse y puede ser inexacta o estar incompleta. La documentación Texinfo es ahora la fuente autorizada.

Esta página de manual documenta la versión GNU de env. env ejecuta un programa con un entorno modificado tal y como se especifica en los parámetros de la línea de órdenes. Los parámetros que tienen la forma ('variable=valor') cambian el contenido de la variable de entorno variable con el valor valor, el cual puede estar vacío ('variable='). Asignar a una variable un valor vacío es diferente de eliminar dicha variable del entorno.

El primero de los restantes parámetros especifica el programa a ejecutar; éste se busca de acuerdo con lo determinado por la variable de entorno PATH. Cualquier parámetro posterior se pasa al programa como parámetro propio.

Si no se proporciona un nombre de programa a continuación de las especificaciones, se muestra el entorno resultante. Esto es similar al programa llamado 'printenv'.

  OPCIONES

--help
    Muestra un mensaje de uso en la salida estándar y termina sin errores.

-u, --unset nombre
    Elimina la variable nombre del entorno, si es que existía allí.

-, -i, --ignore-environment
    Empieza con un entorno vacío, ignorando el herededado.

--version
    Muestra información acerca de la versión en la salida estándar y termina sin errores.